package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 td_property_manager
 *
 * @author ruoyi
 * @date 2024-04-28
 */
public class TdPropertyManager extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String useId;

    /** 下属部门 */
    @Excel(name = "下属部门")
    private String useDepart;

    /** 使用人员 */
    @Excel(name = "使用人员")
    private String userName;

    /** 使用日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "使用日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date useDate;

    /** 使用单位 */
    @Excel(name = "使用单位")
    private String frameworkId;

    /** 登记部门 */
    @Excel(name = "登记部门")
    private String recoverDepart;

    /** 登记人员 */
    @Excel(name = "登记人员")
    private String recoverName;

    /** 登记日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "登记日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date recoverDate;

    /** 密级(1：秘密，2：机密，3：绝密) */
    @Excel(name = "密级", readConverterExp = "1=秘密,2=机密,3=绝密")
    private Long shemichengdu;

    /** 市 */
    @Excel(name = "市")
    private String part;

    /** 区 */
    @Excel(name = "区")
    private String areaId;

    /** 网络终端（数量） */
    @Excel(name = "网络终端", readConverterExp = "数=量")
    private Long propertyNum;

    public void setUseId(String useId)
    {
        this.useId = useId;
    }

    public String getUseId()
    {
        return useId;
    }
    public void setUseDepart(String useDepart)
    {
        this.useDepart = useDepart;
    }

    public String getUseDepart()
    {
        return useDepart;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setUseDate(Date useDate)
    {
        this.useDate = useDate;
    }

    public Date getUseDate()
    {
        return useDate;
    }
    public void setFrameworkId(String frameworkId)
    {
        this.frameworkId = frameworkId;
    }

    public String getFrameworkId()
    {
        return frameworkId;
    }
    public void setRecoverDepart(String recoverDepart)
    {
        this.recoverDepart = recoverDepart;
    }

    public String getRecoverDepart()
    {
        return recoverDepart;
    }
    public void setRecoverName(String recoverName)
    {
        this.recoverName = recoverName;
    }

    public String getRecoverName()
    {
        return recoverName;
    }
    public void setRecoverDate(Date recoverDate)
    {
        this.recoverDate = recoverDate;
    }

    public Date getRecoverDate()
    {
        return recoverDate;
    }
    public void setShemichengdu(Long shemichengdu)
    {
        this.shemichengdu = shemichengdu;
    }

    public Long getShemichengdu()
    {
        return shemichengdu;
    }
    public void setPart(String part)
    {
        this.part = part;
    }

    public String getPart()
    {
        return part;
    }
    public void setAreaId(String areaId)
    {
        this.areaId = areaId;
    }

    public String getAreaId()
    {
        return areaId;
    }
    public void setPropertyNum(Long propertyNum)
    {
        this.propertyNum = propertyNum;
    }

    public Long getPropertyNum()
    {
        return propertyNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("useId", getUseId())
                .append("useDepart", getUseDepart())
                .append("userName", getUserName())
                .append("useDate", getUseDate())
                .append("frameworkId", getFrameworkId())
                .append("recoverDepart", getRecoverDepart())
                .append("recoverName", getRecoverName())
                .append("recoverDate", getRecoverDate())
                .append("shemichengdu", getShemichengdu())
                .append("part", getPart())
                .append("areaId", getAreaId())
                .append("propertyNum", getPropertyNum())
                .toString();
    }
}